using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class GetCaseBackApplyValidator : AbstractValidator<PublishOrderSendBackModelDto>
    {
        public GetCaseBackApplyValidator()
        {
          //  RuleFor(d => d.SendBack.Handle).NotEmpty();
            RuleFor(d => d.SendBack.CreatorOrgName).NotEmpty();
            RuleFor(d => d.SendBack.CreatorName).NotEmpty();
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.SendBack.CreationTime).NotEmpty();
           // RuleFor(d => string.IsNullOrEmpty(d.SendBack.AuditOpinion) ? d.SendBack.Content : d.SendBack.AuditOpinion).NotEmpty();
        }
    }
}
